Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 616162 - The front page dashboard should be moved to an extension instead of custom code
The front page dashboard should be moved to an extension instead of custom code
Status: CLOSED WONTFIX
Product: Bugzilla
Classification: Community
Component: Query/Bug List (Show other bugs)
3.6
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-19 14:54 EDT by David Lawrence
Modified: 2013-06-23 21:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-19 01:24:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lawrence 2010-07-19 14:54:38 EDT
Description of problem:
Currently the front page dashboard (frontpage.cgi) is integrated as a custom code change to Bugzilla. It should be moved out into an extension instead so that the core Bugzilla code can stay unaltered as much as possible. This way people can
download and use the extension without using Red Hat's full code base.

The extension will need to update the namedqueries table to add the column needed by frontpage as well as update the userprefs.cgi?tab=saved screen to
add the UI elements.
Comment 3 Jeff Fearn 2012-05-30 00:42:18 EDT
As part of the recent Bugzilla 4.2 upgrade the Bugzilla team are cleaning up bugs opened against old versions of Bugzilla. This bug has been flagged as an old bug and will be CLOSED WONTFIX in 7 days time.

If you believe this bug is an issue in the latest Bugzilla version please comment on this bug within 7 days. Doing so will ensure this bug is not closed automatically.

Thanks, the Bugzilla team.
Comment 4 Jeff Fearn 2012-05-30 00:43:34 EDT
As part of the recent Bugzilla 2.4 upgrade the Bugzilla team are cleaning up bugs opened against old versions of Bugzilla. This bug has been flagged as an old bug and will be CLOSED WONTFIX in 7 days time.

If you believe this bug is an issue in the latest Bugzilla version please comment on this bug within 7 days. Doing so will ensure this bug is not closed automatically.

Thanks, the Bugzilla team.
Comment 5 Jeff Fearn 2012-07-19 01:24:12 EDT
As noted previously, the Bugzilla Team is cleaning up a large number of outstanding issues that have bit rotted. This bug is being closed as there has been no response to that notification.

If you believe this bug is still important please reopen this bug in the NEW status and PM will consider it.

Note You need to log in before you can comment on or make changes to this bug.